## loci.formats
Class ImageIOReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.ImageIOReader

Direct Known Subclasses:
  GIFReader, JPEGReader, PNGReader

public abstract class ImageIOReader
extends FormatReader

ImageIOReader is the superclass for file format readers that use the javax.imageio package.

Field Summary

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`ImageIOReader(String name, String suffix)` Constructs a new ImageIOReader.
`ImageIOReader(String name, String[] suffixes)` Constructs a new ImageIOReader.

Method Summary
`void` `close()` Closes any open files.
`int` `getImageCount(String id)` Determines the number of images in the given image file.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for an image file.
`BufferedImage` `open(String id, int no)` Obtains the image from the given image file.

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, initFile, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOReader

    public ImageIOReader(String name,
                         String suffix)

  Constructs a new ImageIOReader.

### ImageIOReader

    public ImageIOReader(String name,
                         String[] suffixes)

  Constructs a new ImageIOReader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for an image file.

  Specified by:
    `isThisType` in class `FormatReader`

### getImageCount

    public int getImageCount(String id)
                      throws FormatException,
                             IOException

  Determines the number of images in the given image file.

  Specified by:
    `getImageCount` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### open

    public BufferedImage open(String id,
                              int no)
                       throws FormatException,
                              IOException

  Obtains the image from the given image file.

  Specified by:
    `open` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### close

    public void close()
               throws FormatException,
                      IOException

  Closes any open files.

  Specified by:
    `close` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`